apcupsd service config does not allow DEVICE to be set
Description

When configuring the apcupsd service using pfsense, only the UPSTYPE setting can be changed using the gui but not the DEVICE
setting. The comment above the UPSTYPE box seems to imply it should contain a combination of UPSTYPE and DEVICE separated

by a space, but really these need to be on separate lines in the config for it to work.

For serial connections you have to set the following in the config file on separate lines:

UPSTYPE apcsmart
DEVICE /dev/ity**

But the gui only lets one set the UPSTYPE, which causes apcupsd to shutdown immediately with the error "cannot open ups port: no

such file or directory™:
UPSTYPE apcsmart /dev/tty**

Can the DEVICE setting be added as a separate entry in the gui?

History

#1 - 01/27/2014 08:24 AM - Danilo Baio

Unfortunately not for all types you need UPSTYPE and DEVICE.
For example with pcnet, all config needs to be on UPSTYPE line.
| will push a commit for treat that on code.

Forum thread about this package:
https://forum.pfsense.org/index.php/topic,70830.msg387821.html#msg387821

#2 - 03/07/2014 05:07 PM - Danilo Baio

Done.

https://github.com/pfsense/pfsense-packages/pull/598

#3 - 11/27/2014 02:03 AM - Chris Buechler

- Status changed from New to Resolved
